org.apache.pdfbox.preflight.graphic

## Enum ColorSpaceHelperFactory.ColorSpaceRestriction

- java.lang.Object
- - java.lang.Enum<ColorSpaceHelperFactory.ColorSpaceRestriction>
  - - org.apache.pdfbox.preflight.graphic.ColorSpaceHelperFactory.ColorSpaceRestriction

All Implemented Interfaces:
  Serializable, Comparable<ColorSpaceHelperFactory.ColorSpaceRestriction>

Enclosing class:
  ColorSpaceHelperFactory

    public static enum ColorSpaceHelperFactory.ColorSpaceRestriction
    extends Enum<ColorSpaceHelperFactory.ColorSpaceRestriction>

Enum used as argument of methods of this factory to return the right Helper.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NO_PATTERN`
`NO_RESTRICTION`
`ONLY_DEVICE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ColorSpaceHelperFactory.ColorSpaceRestriction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ColorSpaceHelperFactory.ColorSpaceRestriction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_RESTRICTION

    public static final ColorSpaceHelperFactory.ColorSpaceRestriction NO_RESTRICTION

#### NO_PATTERN

    public static final ColorSpaceHelperFactory.ColorSpaceRestriction NO_PATTERN

#### ONLY_DEVICE

    public static final ColorSpaceHelperFactory.ColorSpaceRestriction ONLY_DEVICE

### Method Detail

#### values

    public static ColorSpaceHelperFactory.ColorSpaceRestriction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColorSpaceHelperFactory.ColorSpaceRestriction c : ColorSpaceHelperFactory.ColorSpaceRestriction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColorSpaceHelperFactory.ColorSpaceRestriction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null